data:extend({
  {
    type = "technology",
    name = "more-advanced-oil-processing",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"advanced-oil-processing"},
    effects =
    {
      {
	  type = "unlock-recipe",
      recipe = "coal-enriched-oil"
      },
	  {
	    type = "unlock-recipe",
	    recipe = "coal-craking"
	  },
	  {
	  type = "unlock-recipe",
	    recipe = "wood-oil-processing"
	  }
 },
    unit =
    {
      count = 75,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },
 {
    type = "technology",
    name = "super-thermal-conducter",
    icon = "__more_oil-production__/graphics/water.png",
    prerequisites = {"oil-processing"},
    effects =
    {
      {
	  type = "unlock-recipe",
      recipe = "super-thermal-conducter"
      },
 },
    unit =
    {
      count = 200,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },
   {
    type = "technology",
    name = "basic-oil-from-wood",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"more-advanced-oil-processing"},
    effects =
    {
      
	  {
	  type = "unlock-recipe",
	    recipe = "basic-wood-oil-processing"
	  }
 },
    unit =
    {
      count = 500,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },
   {
    type = "technology",
    name = "advanced-oil-from-wood",
    icon = "__base__/graphics/technology/oil-processing.png",
    prerequisites = {"basic-oil-from-wood"},
    effects =
    {
      
	  {
	  type = "unlock-recipe",
	    recipe = "advanced-wood-oil-processing"
	  }
 },
    unit =
    {
      count = 1000,
      ingredients = {{"science-pack-1", 1},
                     {"science-pack-2", 1},
                     {"science-pack-3", 1}},
      time = 30
    },
    order = "d-b"
  },
  {
    type = "technology",
    name = "oil-drill",
    icon = "__more_oil-production__/graphics/oil-drill-technology.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "oil-drill"
      },
	  
	  {
	  type = "unlock-recipe",
      recipe = "coal-oil-processing"
      },
	  
	  {
        type = "unlock-recipe",
        recipe = "deep-oil-drilling"
      }
    },
    prerequisites = {"oil-processing"},
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 45
    },
    order = "a-b-d"
  },
  {
    type = "technology",
    name = "better-deep-oil-drilling",
    icon = "__more_oil-production__/graphics/oil-drill-technology.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "advanced-deep-oil-drilling"
      },
    },
    prerequisites = {"oil-drill"},
    unit =
    {
      count = 250,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 45
    },
    order = "a-b-d"
  },
  {
    type = "technology",
    name = "mastered-deep-oil-drilling",
    icon = "__more_oil-production__/graphics/oil-drill-technology.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mastered-deep-oil-drilling"
      },
    },
    prerequisites = {"better-deep-oil-drilling"},
    unit =
    {
      count = 375,
      ingredients = {{"science-pack-1", 2}, {"science-pack-2", 2}, {"science-pack-3", 1}},
      time = 45
    },
    order = "a-b-d"
  }
 })