data:extend({
{
    type = "item",
    name = "oil-drill",
    icon = "__more_oil-production__/graphics/oil-drill-icon.png",
    flags = {"goes-to-quickbar"},
    subgroup = "extraction-machine",
    order = "a[items]-b-a[oil-drill]",
    place_result = "oil-drill",
    stack_size = 50
  },
  {
    type = "fluid",
    name = "coal-oil",
    default_temperature = 25,
    heat_capacity = "1KJ",
    base_color = {r=0, g=0, b=0},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 100,
    icon = "__base__/graphics/icons/fluid/crude-oil.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "a[fluid]-c[coal-oil]"
  },
  {
    type = "fluid",
    name = "super-conducter",
    default_temperature = 25,
    heat_capacity = "50KJ",
    base_color = {r=0, g=0, b=100},
    flow_color = {r=0.5, g=0.5, b=0.5},
    max_temperature = 500,
    icon = "__more_oil-production__/graphics/water.png",
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
    order = "a[fluid]-z[conducter]"
  }
  })