data:extend({
{
   type = "recipe",
   name ="super-thermal-conducter",
   category = "chemistry",
   enabled = "false",
   energy_required = 10,
   ingredients = {
      {type="item", name="raw-wood", amount=12},
	  {type="fluid", name="crude-oil", amount=0.3},
	  {type="fluid", name="water", amount=600},
   },
   results = {
      {type="fluid", name="super-conducter", amount=600},
   },
   subgroup = "fluid",
   icon = "__more_oil-production__/graphics/water.png",
   order = "a[fluid-chemistry]-c[coal-cracking]"
},   
{
   type = "recipe",
   name ="coal-craking",
   category = "chemistry",
   enabled = "false",
   energy_required = 5,
   ingredients = {
      {type="item", name="coal", amount=12},
   },
   results = {
      {type="fluid", name="crude-oil", amount=4},
   },
   subgroup = "fluid",
   icon = "__more_oil-production__/graphics/coal-cracking.png",
   order = "a[fluid-chemistry]-y[conducter]"
},   
{
   type = "recipe",
   name = "wood-oil-processing",
   category = "chemistry",
   enabled = false,
   energy_required = 20,
   ingredients = {
      {type="item", name="raw-wood", amount=500},
   },
   results = {
      {type="fluid", name="crude-oil", amount=10},
   },
    icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
   subgroup = "fluid",
   order = "a[fluid-chemistry]-b[wood-oil-processing]"
},
{
   type = "recipe",
   name = "basic-wood-oil-processing",
   category = "chemistry",
   enabled = false,
   energy_required = 30,
   ingredients = {
      {type="item", name="raw-wood", amount=200},
   },
   results = {
      {type="fluid", name="crude-oil", amount=10},
   },
    icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
   subgroup = "fluid",
   order = "a[fluid-chemistry]-c[wood-oil-processing]"
},
{
   type = "recipe",
   name = "advanced-wood-oil-processing",
   category = "chemistry",
   enabled = false,
   energy_required = 25,
   ingredients = {
      {type="item", name="raw-wood", amount=80},
   },
   results = {
      {type="fluid", name="crude-oil", amount=10},
   },
    icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
   subgroup = "fluid",
   order = "a[fluid-chemistry]-d[wood-oil-processing]"
},
{
   type = "recipe",
   name = "coal-oil-processing",
   category = "oil-processing",
   enabled = false,
   energy_required = 5,
   ingredients = {
      {type="fluid", name="crude-oil", amount=10},
      {type="item", name="coal", amount=4},
   },
   results = {
      {type="fluid", name="heavy-oil", amount=5},
      {type="fluid", name="light-oil", amount=3.5},
      {type="fluid", name="petroleum-gas", amount=4.5},
   },
   icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
   subgroup = "fluid",
   order = "a[fluid-chemistry]-a[coal-oil-processing]"
},
{
   type = "recipe",
   name = "coal-enriched-oil",
   category = "oil-processing",
   enabled = false,
   energy_required = 5,
   ingredients = {
      {type="fluid", name="crude-oil", amount=10},
	  {type="fluid", name="water", amount=5},
      {type="item", name="coal", amount=6},
   },
   results = {
      {type="fluid", name="coal-oil", amount=10},
   },
   icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
   subgroup = "fluid",
   order = "a[fluid-chemistry]-b[coal-oil-processing]"
},
{
   type = "recipe",
   name = "enriched-coal-oil-processing",
   category = "oil-processing",
   enabled = false,
   energy_required = 5,
   ingredients = {
      {type="fluid", name="coal-oil", amount=8},
   },
   results = {
      {type="fluid", name="heavy-oil", amount=6},
      {type="fluid", name="light-oil", amount=4.5},
      {type="fluid", name="petroleum-gas", amount=6},
   },
   icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
   subgroup = "fluid",
   order = "a[fluid-chemistry]-c[coal-oil-processing]"
},
{
   type = "recipe",
   name = "deep-oil-drilling",
   category = "oil-drill",
   enabled = false,
   energy_required = 10,
   ingredients = {},
   results = {
      {type="fluid", name="crude-oil", amount=1},
   },
   icon = "__more_oil-production__/graphics/crude-oil.png",
   subgroup = "fluid",
   order = "b[fluid-chemistry]-a[deep-oil-drilling]"
},
{
   type = "recipe",
   name = "advanced-deep-oil-drilling",
   category = "oil-drill",
   enabled = false,
   energy_required = 9,
   ingredients = {},
   results = {
      {type="fluid", name="crude-oil", amount=1.5},
   },
   icon = "__more_oil-production__/graphics/crude-oil.png",
   subgroup = "fluid",
   order = "b[fluid-chemistry]-b[deep-oil-drilling]"
},
{
   type = "recipe",
   name = "mastered-deep-oil-drilling",
   category = "oil-drill",
   enabled = false,
   energy_required = 8,
   ingredients = {},
   results = {
      {type="fluid", name="crude-oil", amount=2},
   },
   icon = "__more_oil-production__/graphics/crude-oil.png",
   subgroup = "fluid",
   order = "b[fluid-chemistry]-c[deep-oil-drilling]"
},
{
    type = "recipe",
    name = "oil-drill",
    energy_required = 2,
    enabled = "false",
    ingredients =
    {
      {"burner-mining-drill", 1},
      {"engine-unit", 8},
      {"iron-plate", 12},
	  {"iron-gear-wheel", 30},
	  {"pipe", 12},
    },
    result = "oil-drill"
  },
 })